<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="main-model-organization content-header">
  <div class="main-model-organization__right">
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='BORDER'
    mbButtonText="{{'modelOrganization.button.approve' | translate}}" (click)="submit()" *ngIf="objFunction?.approve"></mb-button>
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='PRIMARY'
    mbButtonText="{{'modelOrganization.button.approveAll' | translate}}"  (click)="submitAll()" *ngIf="objFunction?.approve"></mb-button>
    <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='BORDER'
    mbButtonText="{{'modelOrganization.button.reject' | translate}}" (click)="showRejectForm()" *ngIf="objFunction?.approve"></mb-button>
  </div>
</div>
<div class="container-fluid">
  <div class="form">

    <div nz-row class="form-row">
      <div nz-col nzXs="24" nzLg="6" class="form-row__left">
        <mb-select [mbDataSelects]="modelJobs" mbKeyLabel="label" mbKeyValue="value" mbLabelText="{{'modelOrganization.label.model' | translate}}"
        mbPlaceholder="{{'modelOrganization.placeHoder.chooseModel' | translate}}"
        [(ngModel)]="objSearch.jobType"></mb-select>
      </div>

      <div nz-col nzXs="24" nzLg="6" class="form-row__left">
        <mb-input-text [mbMaxLength]="255"
        mbPlaceholderText="{{'modelOrganization.placeHoder.chooseJob' | translate}}"
        (keyup.enter)="onSearch()" nz-dropdown [nzDropdownMenu]="menu" (keyup)="onSearchJob($event)"
        mbLabelText="{{'modelOrganization.label.job' | translate}}" [(ngModel)]="objSearch.jobName"></mb-input-text>
      </div>

      <div nz-col nzXs="24" nzLg="6" class="form-row__left--search">
          <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM'
          mbButtonText="{{'modelOrganization.listJob.search' | translate}}" (click)="onSearch()"></mb-button>
      </div>

    </div>
  </div>

  <div *ngIf="showComment" class="form-reject">
    <form #formReject="ngForm" nz-form>
      <ng-container *ngIf="formReject">
        <div nz-col nzXs="24" nzLg="24">
          <mb-input-text name="reason" required noAllowSpace maxlength="250" [mbIsTextAre]="true"
            [mbType]="isSubmittedReject && (formReject.controls['reason']?.errors || formReject.errors?.noAllowSpace) ? 'error' : 'default'"
            [mbShowError]="isSubmittedReject && (formReject.controls['reason']?.errors || formReject.errors?.noAllowSpace) !== null"
            [mbErrors]="formReject.controls['reason']?.errors" [mbErrorDefs]="[
            { errorName: 'maxlength', errorDescription: 'system.validate.maxLength' | translate: {'numberLength': '250' }},
            { errorName: 'required', errorDescription: 'modelOrganization.validate.reasonReject' | translate },
            { errorName: 'noAllowSpace', errorDescription: 'modelOrganization.validate.reasonReject' | translate },
            { errorName: 'reason', errorDescription: 'system.validate.code' | translate }]"
            mbPlaceholderText="{{'modelOrganization.placeHoder.commentApprove' | translate}}" [(ngModel)]="comment"
            (keyup.enter)="showRejectForm()">
          </mb-input-text>
        </div>
      </ng-container>
    </form>
  </div>

  <div nz-row class="template">
    <div class="jd-table">
      <nz-table [nzData]="initData" [nzFrontPagination]="false" [nzScroll]="{ x: 'SCROLL_CONFIG' }" #rowSelectionTable [nzSize]="TABLE_SIZE">
        <thead>
          <tr>
            <th [nzShowCheckbox]="true" [nzChecked]="checked" [nzIndeterminate]="indeterminate"
              (nzCheckedChange)="onAllChecked($event)" [nzWidth]="WIDTH_COLUMN.CHECKED" nzLeft scope="col"></th>
            <th nzLeft [nzWidth]="WIDTH_COLUMN.MEDIUM" scope="col">{{'modelOrganization.table.model' | translate}}</th>
            <th scope="col">{{'modelOrganization.table.job' | translate}}</th>
            <th scope="col">{{'modelOrganization.table.unit' | translate}}</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let data of rowSelectionTable.data, let i = index">
            <td nzLeft [nzChecked]="setOfCheckedId.has(data.posId)" (nzCheckedChange)="onItemChecked(data.posId, $event)">
            </td>
            <td nzLeft>{{modelJob[data.jobType]}}</td>
            <td>{{data.jobName}}</td>
            <td>{{data.orgName}}</td>
          </tr>
        </tbody>
      </nz-table>
      <div class="pagination" *ngIf="pagination.totalElements > 0">
        <div class="pagination__table-info">
        </div>
        <nz-pagination [(nzPageIndex)]="pagination && pagination.currentPage" [nzTotal]="pagination?.totalElements"
          [nzPageSize]="pagination?.size" (nzPageIndexChange)="changePage()" class="pagination__icon">
        </nz-pagination>
      </div>
    </div>
  </div>

</div>
<ng-container>
  <nz-dropdown-menu #menu="nzDropdownMenu">
      <div class="job-search">
          <ul nz-menu *ngFor="let item of listJobSearch">
              <li nz-menu-item (click)="onClickJob(item.jobName)">{{item.jobName}}</li>
          </ul>
      </div>
  </nz-dropdown-menu>
</ng-container>
